{
    "extends": ["plugin:adonis/typescriptApp", "prettier"],
    "plugins": ["prettier"],
    "rules": {
        "prettier/prettier": ["error", { "singleQuote": true }],
        "@typescript-eslint/indent": ["error", 4, { "ignoredNodes": ["PropertyDefinition", "TSUnionType"] }],
        "@typescript-eslint/naming-convention": [
            "warn",
            {
                "selector": "interface",
                "format": ["PascalCase"],
                "custom": {
                    "regex": "^I[A-Z]",
                    "match": false
                }
            }
        ]
    }
}
